using Nirvana.Common;
using Nirvana.Common.ApiBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Waste.Domain;

namespace Waste.Application
{
    /// <summary>
    /// 账户管理
    /// </summary>
    public interface IRoleService
    {
        Task<PageParms<W_Role>> GetListAsync(QueryParams param);
        Task<ResultInfo> SubmitFormAsync(RoleSubmitModel role);
        Task<ResultInfo> DeleteFormAsync(Guid keyValue);
        Task<RoleSubmitModel> DetailAsync(Guid id);
    }
}
